API referenceWorkspaces

Get a workspace

Fetch one workspace by id.

Returns 404 (not 403) when the workspace exists but is not accessible by the API key.

GET
/workspaces/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "description": "string",
    "topic": "string",
    "language": "string",
    "profile_image_url": "string",
    "default_aspect_ratio": "string",
    "default_tts_preset_id": "8b18e089-76a5-4af3-8217-5047d6c0d79a",
    "default_visual_style_id": "18565980-f38e-473c-bb3e-2fb47a804763",
    "default_generation_tier": "string",
    "default_transitions": [
      "string"
    ],
    "default_transition_duration": 0,
    "default_caption_style_id": "string",
    "default_caption_position": "top",
    "default_caption_font_size": 0,
    "editorial_guidelines": {
      "property1": null,
      "property2": null
    },
    "content_context": "string",
    "branding": {
      "property1": null,
      "property2": null
    },
    "credit_balance": 0,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}